Skip to main content
Core Platform

Generate a sealed FINANCEGPT SYNTHETIC option chain from a promoted LQM

POST /investment/derivatives/synthetic-options

Contract

Uses a human-promoted derivatives-surface LQM plus a typed numeric conditioning envelope to generate a synthetic implied-volatility surface. FinanceGPT applies deterministic static no-arbitrage validation and repair before deriving option prices and Greeks. Outputs are explicitly synthetic, non-observed and never execution eligible or a substitute for observed market data.

Authentication
Bearer credential required
Required scope
investment:run
Status
Published

Request body

application/json ยท required
{
    "symbol": "string",
    "promotion_uid": "string",
    "spot": 1.0000000000000000209225608301284726753266340892878361046314239501953125e-8,
    "risk_free_rate_pct": 0,
    "dividend_yield_pct": 0,
    "realized_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "garch_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "regime_code": 0,
    "sector_factor": 0,
    "theme_factor": 0,
    "moneyness_min": 0.75,
    "moneyness_max": 1.25
}

Code examples

These examples compose a request only. Public reference pages never transmit your credential or execute the operation.

curl

curl -X POST \
  -H "Authorization: Bearer $FINANCEGPT_API_KEY" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  --data '{
    "symbol": "string",
    "promotion_uid": "string",
    "spot": 1.0000000000000000209225608301284726753266340892878361046314239501953125e-8,
    "risk_free_rate_pct": 0,
    "dividend_yield_pct": 0,
    "realized_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "garch_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "regime_code": 0,
    "sector_factor": 0,
    "theme_factor": 0,
    "moneyness_min": 0.75,
    "moneyness_max": 1.25
}' \
  "https://financegpt.dev/api/v2/investment/derivatives/synthetic-options"

javascript

const response = await fetch("https:\/\/financegpt.dev\/api\/v2\/investment\/derivatives\/synthetic-options", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${FINANCEGPT_API_KEY}`,
    Accept: 'application/json',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({
    "symbol": "string",
    "promotion_uid": "string",
    "spot": 1.0000000000000000209225608301284726753266340892878361046314239501953125e-8,
    "risk_free_rate_pct": 0,
    "dividend_yield_pct": 0,
    "realized_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "garch_vol_pct": 0.1000000000000000055511151231257827021181583404541015625,
    "regime_code": 0,
    "sector_factor": 0,
    "theme_factor": 0,
    "moneyness_min": 0.75,
    "moneyness_max": 1.25
}),
});
const data = await response.json();

python

import json
import os
import requests

response = requests.request(
    'POST',
    'https://financegpt.dev/api/v2/investment/derivatives/synthetic-options',
    headers={
        'Authorization': 'Bearer ' + os.environ['FINANCEGPT_API_KEY'],
        'Accept': 'application/json',
    },
    json=json.loads('{"symbol":"string","promotion_uid":"string","spot":1.0000000000000000209225608301284726753266340892878361046314239501953125e-8,"risk_free_rate_pct":0,"dividend_yield_pct":0,"realized_vol_pct":0.1000000000000000055511151231257827021181583404541015625,"garch_vol_pct":0.1000000000000000055511151231257827021181583404541015625,"regime_code":0,"sector_factor":0,"theme_factor":0,"moneyness_min":0.75,"moneyness_max":1.25}'),
)
response.raise_for_status()
print(response.json())

php

<?php
$ch = curl_init('https://financegpt.dev/api/v2/investment/derivatives/synthetic-options');
curl_setopt_array($ch, [
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer '.getenv('FINANCEGPT_API_KEY'),
        'Accept: application/json',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode(array (
  'symbol' => 'string',
  'promotion_uid' => 'string',
  'spot' => 1.0000000000000000209225608301284726753266340892878361046314239501953125E-8,
  'risk_free_rate_pct' => 0,
  'dividend_yield_pct' => 0,
  'realized_vol_pct' => 0.1000000000000000055511151231257827021181583404541015625,
  'garch_vol_pct' => 0.1000000000000000055511151231257827021181583404541015625,
  'regime_code' => 0,
  'sector_factor' => 0,
  'theme_factor' => 0,
  'moneyness_min' => 0.75,
  'moneyness_max' => 1.25,
)),
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

Status Description
201 Sealed synthetic option-chain run with LQM Evidence Packet
422 Invalid conditioning input or no eligible promoted derivatives-surface LQM
503 Required governed market data or LQM runtime unavailable

Authority boundary

A developer credential proves application identity and permits only its scopes. It does not grant model promotion, policy override, QLM rebinding, or Financial Actions execution authority unless those separate controls are satisfied.

investment:run

Machine-readable sources